<?php
/**
 * Blog / Archive Options
 */

$wp_customize->add_section(
	'early_news_archive_page_options',
	array(
		'title' => esc_html__( 'Blog / Archive Pages Options', 'early-news' ),
		'panel' => 'early_news_theme_options_panel',
	)
);

// Excerpt - Excerpt Length.
$wp_customize->add_setting(
	'early_news_excerpt_length',
	array(
		'default'           => 15,
		'sanitize_callback' => 'early_news_sanitize_number_range',
	)
);

$wp_customize->add_control(
	'early_news_excerpt_length',
	array(
		'label'       => esc_html__( 'Excerpt Length (no. of words)', 'early-news' ),
		'section'     => 'early_news_archive_page_options',
		'settings'    => 'early_news_excerpt_length',
		'type'        => 'number',
		'input_attrs' => array(
			'min'  => 5,
			'max'  => 200,
			'step' => 1,
		),
	)
);

// Archive Column layout options.
$wp_customize->add_setting(
	'early_news_archive_column_layout',
	array(
		'default'           => 'double-column',
		'sanitize_callback' => 'early_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'early_news_archive_column_layout',
	array(
		'label'   => esc_html__( 'Column Layout', 'early-news' ),
		'section' => 'early_news_archive_page_options',
		'type'    => 'select',
		'choices' => array(
			'double-column' => __( 'Column 2', 'early-news' ),
			'triple-column' => __( 'Column 3', 'early-news' ),
		),
	)
);

// Enable archive page category setting.
$wp_customize->add_setting(
	'early_news_enable_archive_category',
	array(
		'default'           => true,
		'sanitize_callback' => 'early_news_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Early_News_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'early_news_enable_archive_category',
		array(
			'label'    => esc_html__( 'Enable Category', 'early-news' ),
			'settings' => 'early_news_enable_archive_category',
			'section'  => 'early_news_archive_page_options',
			'type'     => 'checkbox',
		)
	)
);

// Enable archive page author setting.
$wp_customize->add_setting(
	'early_news_enable_archive_author',
	array(
		'default'           => true,
		'sanitize_callback' => 'early_news_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Early_News_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'early_news_enable_archive_author',
		array(
			'label'    => esc_html__( 'Enable Author', 'early-news' ),
			'settings' => 'early_news_enable_archive_author',
			'section'  => 'early_news_archive_page_options',
			'type'     => 'checkbox',
		)
	)
);

// Enable archive page date setting.
$wp_customize->add_setting(
	'early_news_enable_archive_date',
	array(
		'default'           => true,
		'sanitize_callback' => 'early_news_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Early_News_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'early_news_enable_archive_date',
		array(
			'label'    => esc_html__( 'Enable Date', 'early-news' ),
			'settings' => 'early_news_enable_archive_date',
			'section'  => 'early_news_archive_page_options',
			'type'     => 'checkbox',
		)
	)
);
